Skip to main content
PATCH
Update knowledge item or media

Authorizations

Authorization
string
header
required

JWT authentication token

Headers

x-company-id
string

Target company identifier. Required only for global API keys (type=global). Ignored for company API keys and human users.

Path Parameters

id
string
required

Knowledge/media ID

Body

application/json
name
string

Name of the knowledge item or media.

Minimum string length: 1
description
string

Description of the knowledge item or media.

content
string

Text content of the editable knowledge item (Nuvia Knowledge). For this type, changing the content reprocesses the knowledge item for the agent's searches.

Response

200 - application/json
_id
object
required
name
string
required
type
enum<string>
required
Available options:
KNOWLEDGE,
MEDIA
file_type
enum<string>
required
Available options:
PDF,
DOCX,
AUTCL,
IMAGE,
VIDEO,
AUDIO,
DOCUMENT
company
object
required
description
string
s3_key
string

S3 object key. Source of truth for generating the signed URL.

file_url
string
deprecated
content
string
status
enum<string>
Available options:
PROCESSING,
READY,
ERROR
meta
object
createdAt
string<date-time>
updatedAt
string<date-time>